package com.ruoyi.dxp.dto.database;

import java.io.Serializable;
import java.util.List;

/**
 * 数据库帮助类索引相关
 */
public class DatabaseUtilsIndexParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 数据库id
     */
    private Long id;

    /**
     * 要删除的索引名称列表
     */
    private List<String> indexArray;

    /**
     * 表名
     */
    private String tbName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<String> getIndexArray() {
        return indexArray;
    }

    public void setIndexArray(List<String> indexArray) {
        this.indexArray = indexArray;
    }

    public String getTbName() {
        return tbName;
    }

    public void setTbName(String tbName) {
        this.tbName = tbName;
    }
}
